package com.lvwan.mobile110.activity


import android.os.Bundle

import com.common.activity.BindingActivity
import com.common.annotation.LayoutId
import com.lvwan.mobile110.R
import com.lvwan.mobile110.databinding.ActivityUserBindBinding
import com.lvwan.mobile110.entity.event.BindEvent
import com.lvwan.mobile110.helper.Bind3rdHelper
import com.lvwan.mobile110.viewmodel.UserBindViewModel

import org.greenrobot.eventbus.Subscribe

/**
 *
 * Created by wangdong on 16/12/12.
 */

@LayoutId(R.layout.activity_user_bind)
class UserBindActivity : BindingActivity<UserBindViewModel, ActivityUserBindBinding>() {


    @Subscribe
    fun onBindEvent(@Suppress("UNUSED_PARAMETER") event: BindEvent) {
        viewModel.request()
    }
}
