package com.lvwan.mobile110.fragment

import android.os.Bundle
import android.text.TextUtils
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.ImageView

import com.common.fragment.TFragment
import com.lvwan.mobile110.R
import com.lvwan.mobile110.activity.GuideDetailActivity
import com.lvwan.mobile110.activity.ImageBrowserActivity
import com.lvwan.mobile110.entity.bean.GuideDetailBean
import com.lvwan.util.ImageUtils
import kotlinx.android.synthetic.main.fragment_guide_flow.*

import java.util.ArrayList


/**
 * Created by wangdong on 16/12/9.

 */

class GuideDetailFlowFragment : TFragment() {



    private var url: String? = null


    override fun newView(inflater: LayoutInflater, container: ViewGroup): View {
        return inflater.inflate(R.layout.fragment_guide_flow, container, false)
    }

    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        super.onViewCreated(view, savedInstanceState)
        val bean = (activity as GuideDetailActivity).detaiInfo
        ImageUtils.displayImage(bean?.flowChart, guide_flow_img)
        if (!TextUtils.isEmpty(bean?.flowChart)) {
            guide_flow_empty.visibility = View.GONE
            url = bean?.flowChart
        }

        guide_flow_img.setOnClickListener { onClickImg() }
    }

    fun onClickImg() {
        val urls = ArrayList<String>()
        url?.let { urls.add(it) }
        ImageBrowserActivity.start(activity, urls, 0, guide_flow_img.drawable)
    }
}
