package com.lvwan.mobile110.fragment

import android.os.Bundle
import android.support.v7.widget.RecyclerView
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.TextView

import com.common.fragment.TFragment
import com.lvwan.mobile110.R
import com.lvwan.mobile110.activity.GuideDetailActivity
import com.lvwan.mobile110.entity.bean.GuideDetailBean
import com.lvwan.util.ThirdAppUtils
import kotlinx.android.synthetic.main.fragment_guide_info.*


/**
 * Created by wangdong on 16/12/9.

 */

class GuideDetailInfoFragment : TFragment() {


    override fun newView(inflater: LayoutInflater, container: ViewGroup): View {
        return inflater.inflate(R.layout.fragment_guide_info, container, false)
    }

    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        super.onViewCreated(view, savedInstanceState)
        val bean = (activity as GuideDetailActivity).detaiInfo
        guide_info_service.text = bean!!.serviceName
        guide_info_organization.text = bean.organization
        guide_info_office.text = bean.office
        guide_info_time.text = bean.workTime
        guide_info_tel.text = bean.tel
        guide_info_condition.text = bean.condition
        guide_info_attentions.text = bean.attentions
        guide_info_address.text = bean.address
        guide_info_time.text = bean.workTime

        guide_info_tel.setOnClickListener { v -> onCall(v as TextView) }
    }

    fun onCall(textView: TextView) {
        ThirdAppUtils.call(textView.text.toString())
    }

}
