package com.lvwan.mobile110.fragment

import android.os.Bundle
import android.view.View

import com.common.annotation.LayoutId
import com.common.fragment.BindingFragment
import com.lvwan.mobile110.R
import com.lvwan.mobile110.activity.GuideDetailActivity
import com.lvwan.mobile110.databinding.FragmentGuideLinkBinding
import com.lvwan.mobile110.entity.bean.GuideDetailBean
import com.lvwan.mobile110.viewmodel.GuideLinkViewModel
import kotlinx.android.synthetic.main.fragment_guide_link.*


/**
 *
 * Created by wangdong on 16/12/9.
 */

@LayoutId(R.layout.fragment_guide_link)
class GuideDetailLinkFragment : BindingFragment<GuideLinkViewModel, FragmentGuideLinkBinding>() {


    private var emtpy: Boolean = false

    override fun createViewModel(): GuideLinkViewModel {
        val bean = (activity as GuideDetailActivity).detaiInfo

        emtpy = bean?.meterials == null || bean.meterials!!.size == 0
        return GuideLinkViewModel(this, bean?.meterials)
    }

    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        super.onViewCreated(view, savedInstanceState)
        if (!emtpy) {
            guide_link_empty.visibility = View.GONE
        }
    }
}
