package com.lvwan.mobile110.fragment

import android.os.Bundle
import android.view.View

import com.common.annotation.LayoutId
import com.common.fragment.BindingFragment
import com.lvwan.mobile110.R
import com.lvwan.mobile110.databinding.FragmentGuideMoreBinding
import com.lvwan.mobile110.entity.event.GuideMoreEvent
import com.lvwan.mobile110.viewmodel.GuideMoreViewModel
import com.lvwan.mobile110.widget.GridItemDecoration
import kotlinx.android.synthetic.main.fragment_guide_more.*

import org.greenrobot.eventbus.Subscribe

/**
 * Created by wangdong on 16/12/5.
 *
 */

@LayoutId(R.layout.fragment_guide_more)
class GuideMoreFragment : BindingFragment<GuideMoreViewModel, FragmentGuideMoreBinding>() {

    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        super.onViewCreated(view, savedInstanceState)
        val decoration = GridItemDecoration(activity)
        decoration.hasHeader(true)
        decoration.setTransparent(true)
        guide_more_recyclerView.addItemDecoration(decoration)
    }

    companion object {

        val TAG = GuideMoreFragment::class.simpleName
    }


}
