package com.lvwan.mobile110.viewmodel

import android.databinding.ObservableField
import android.databinding.ObservableInt
import android.text.TextUtils

import com.common.viewmodel.ActivityViewModel
import com.lvwan.mobile110.activity.GovGuideActivty

/**
 * Created by wangdong on 16/12/5.
 */

class GovGuideViewModel(activity: GovGuideActivty) : ActivityViewModel<GovGuideActivty>(activity) {

    var selected = ObservableInt()

    var title0 = ObservableField<String>()

    var title1 = ObservableField<String>()

    var title2 = ObservableField<String>()

    var title2__1: String? = ""

    var title2__2: String? = ""


    fun onSwitch(page: Int) {
        selected.set(page)
        activity.setPage(page)
    }

    fun setTitle0(title: String?) {
        title0.set(title)
    }

    fun setTitle1(title: String?) {
        title1.set(title)
    }


    fun setTitle2_1(title: String?) {
        title2__1 = title
        setTitle2()

    }

    fun setTitle2_2(title: String?) {
        title2__2 = title
        setTitle2()
    }

    fun setTitle2() {
        if (TextUtils.isEmpty(title2__1)) {
            title2.set(title2__2)
            return
        }

        if (TextUtils.isEmpty(title2__2)) {
            title2.set(title2__1)
            return
        }

        title2.set(title2__1 + "，" + title2__2)
    }

    fun selectNull() {
        selected.set(0)
    }


}
