package com.lvwan.mobile110.viewmodel

import android.content.Context
import android.databinding.ObservableField
import android.databinding.ObservableInt
import com.common.viewmodel.ViewHolderViewModel
import com.lvwan.mobile110.entity.bean.NewsCardBean
import com.lvwan.mobile110.entity.bean.NewsListBean

/**
 *
 * Created by wangdong on 17/3/14.
 */

class NewsItemViewModel(context: Context) : ViewHolderViewModel<NewsCardBean>(context) {

    val title = ObservableField<String>()

    val subTitle = ObservableField<String>()

    val imageUrl = ObservableField<String>()

    val count = ObservableInt()

    override fun refresh(data: NewsCardBean) {
        title.set(data.title)
        subTitle.set(data.share_desc)
        imageUrl.set(data.image_url)
        count.set(data.count)
    }

}
