#include <jni.h>
#include <android/bitmap.h>
#include "utils.h"

JNIEXPORT void JNICALL
Java_com_lvwan_util_ImageBlur_blurBitmap(JNIEnv *env, jclass type, jobject bitmap, jint r) {

    AndroidBitmapInfo infoIn;
    void *pixelsIn;
    if((AndroidBitmap_getInfo(env, bitmap, &infoIn)) != 0) {
        return;
    }
    if (infoIn.format != ANDROID_BITMAP_FORMAT_RGBA_8888)
        return;
    if ((AndroidBitmap_lockPixels(env, bitmap, &pixelsIn)) != 0)
        return;
    int w = infoIn.width;
    int h = infoIn.height;
    pixelsIn = blur((int *) pixelsIn, w, h, r);
    AndroidBitmap_unlockPixels(env, bitmap);

}

