package com.lvwan.mobile110.activity

import android.os.Bundle
import com.common.activity.BindingActivity
import com.common.activity.TActivity
import com.common.annotation.LayoutId
import com.lvwan.mobile110.R
import com.lvwan.mobile110.databinding.ActivityLicenseManagerBinding
import com.lvwan.mobile110.viewmodel.LicenseManagerViewModel
import kotlinx.android.synthetic.main.activity_license_manager.*


/**
 * 驾照记分详情
 *
 * Created by wangdong on 16/8/26.
 */

@LayoutId(R.layout.activity_license_manager)
class LicenseManagerActivity : BindingActivity<LicenseManagerViewModel, ActivityLicenseManagerBinding>() {

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        license_manager_add.setOnClickListener { addLicense() }
    }

    fun addLicense() {
        TActivity.start(this, QueryPointActivity::class.java)
    }

}
