package com.lvwan.mobile110.activity

import android.content.Context
import android.os.Bundle
import android.text.TextUtils
import android.view.View
import com.common.activity.TActivity
import com.lvwan.mobile110.R
import com.lvwan.mobile110.entity.event.LoginEvent
import com.lvwan.mobile110.helper.SchemeHelper
import com.lvwan.mobile110.manager.UserManager
import com.lvwan.mobile110.net.VarUrls
import com.lvwan.mobile110.stat.Action
import com.lvwan.mobile110.stat.ActionTracker
import com.lvwan.mobile110.stat.Module
import com.lvwan.util.PreferenceHelper
import kotlinx.android.synthetic.main.activity_more_icon.*
import kotlinx.android.synthetic.main.viewholder_home_header.view.*
import org.greenrobot.eventbus.Subscribe
import org.jetbrains.anko.startActivity

/**
 *
 * Created by wangdong on 17/3/23.
 */

class MoreIconActivity : TActivity() {


    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_more_icon)
        VarUrls.ICONS_MORE?.let { icon_layout.setIconsInfo(this, it, false) }

    }


    @Subscribe
    fun onLogin(event: LoginEvent) {
        if (event.event == LoginEvent.SUCCESS) {
            if (icon_layout.clickFromMore) {
                if (PreferenceHelper.firstWZCXLoginFromMore()) {
                    PreferenceHelper.setWZCXLoginFromMore()
                    ActionTracker.trackAction(Module.MORE, Action.MORE_WZCX_LOGIN)
                }
            }
        }
    }


}
