package com.lvwan.mobile110.activity

import android.os.Bundle

import com.common.activity.BindingActivity
import com.common.annotation.LayoutId
import com.lvwan.mobile110.databinding.ActivityVisaInputBinding
import com.lvwan.mobile110.entity.event.VisaFinishEvent
import com.lvwan.mobile110.fragment.WarningFragment
import com.lvwan.mobile110.viewmodel.VisaInputViewModel
import com.lvwan.mobile110.R

import org.greenrobot.eventbus.Subscribe

/**
 *
 * Created by wangdong on 16/11/28.
 */

@LayoutId(R.layout.activity_visa_input)
class VisaInputActivity : BindingActivity<VisaInputViewModel, ActivityVisaInputBinding>() {

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        WarningFragment.show(this)
    }

    @Subscribe
    fun onFinish(@Suppress("UNUSED_PARAMETER") event: VisaFinishEvent) {
        finish()
    }
}
