package com.lvwan.mobile110.net

import com.lvwan.mobile110.entity.VarUrlBean
import com.lvwan.mobile110.entity.bean.IconsInfoBean
import com.lvwan.mobile110.entity.bean.IconsInfoBean.Icon

/*
 * Created by wangdong on 17/3/27.
 */

class VarUrls {


    companion object {

        // urls
        var IMMI_VISA: VarUrlBean? = null
        var IMMI_QUERY: VarUrlBean? = null
        var IMMI_ORDER: VarUrlBean? = null
        var IMMI_RESULT: VarUrlBean? = null
        var IMMI_PAY: VarUrlBean? = null
        var IMMI_FORM: VarUrlBean? = null
        var IMMI_GUIDE: VarUrlBean? = null
        var IMMI_REFUND: VarUrlBean? = null
        var COMMOM_PAY: VarUrlBean? = null

        fun parseUrls(list: List<VarUrlBean>) {
            for (bean in list) {
                when (bean.type) {
                    0 -> { IMMI_VISA = bean }
                    1 -> { IMMI_QUERY = bean }
                    2 -> { IMMI_ORDER = bean }
                    3 -> { IMMI_RESULT = bean }
                    4 -> { COMMOM_PAY = bean }
                    6 -> { IMMI_FORM = bean }
                    7 -> { IMMI_GUIDE = bean }
                    8 -> { IMMI_PAY = bean }
                    9 -> { IMMI_REFUND = bean }
                }
            }
        }

        // icons
        var ICONS_HOME: List<Icon>? = null
        var ICONS_MORE: List<Icon>? = null

        fun parseIcons(bean: IconsInfoBean) {
            ICONS_HOME = bean.home_icon
            ICONS_MORE = bean.more_icon
        }


    }
}
