package com.lvwan.mobile110.viewholder

import android.view.View
import com.common.adapter.BaseViewHolder
import com.common.annotation.LayoutId
import com.lvwan.mobile110.R
import com.lvwan.mobile110.entity.realm.GuardAddrRealm
import kotlinx.android.synthetic.main.viewholder_guard_addr_item.view.*

/**
 *
 * Created by wangdong on 17/3/3.
 */

@LayoutId(R.layout.viewholder_guard_addr_item)
class GuardAddrItemViewHolder(itemView : View) : BaseViewHolder<GuardAddrRealm>(itemView) {


    override fun bindView(data: GuardAddrRealm) {
        itemView.guard_addr_name.text = data.name
        itemView.guard_addr_addr.text = data.addr
    }

}