package com.lvwan.mobile110.viewholder

import android.view.View
import android.widget.TextView

import com.common.adapter.BaseViewHolder
import com.common.annotation.LayoutId
import com.lvwan.mobile110.R
import com.lvwan.mobile110.viewmodel.GuideBusinessViewModel
import kotlinx.android.synthetic.main.viewholder_guide_business_title.view.*


/**
 *
 * Created by wangdong on 16/12/8.
 */

@LayoutId(R.layout.viewholder_guide_business_title)
class GuideBusinessTitleViewHolder(itemView: View) : BaseViewHolder<GuideBusinessViewModel.Item>(itemView) {


    override fun bindView(data: GuideBusinessViewModel.Item) {
        itemView.guide_business_title.text = data.title
    }
}
