package com.lvwan.mobile110.viewholder

import android.view.View
import com.common.adapter.BaseViewHolder
import com.common.annotation.LayoutId
import com.lvwan.mobile110.R
import com.lvwan.mobile110.entity.bean.GuideDetailBean
import kotlinx.android.synthetic.main.viewholder_guide_link_item.view.*


/**
 *
 * Created by wangdong on 16/12/8.
 */

@LayoutId(R.layout.viewholder_guide_link_item)
class GuideLinkItemViewHolder(itemView: View) : BaseViewHolder<GuideDetailBean.Material>(itemView) {


    override fun bindView(data: GuideDetailBean.Material) {
        itemView.guide_detail_link_title.text = data.meterial
        itemView.index_divider.visibility = if (last) View.GONE else View.VISIBLE
    }

}
