package com.lvwan.mobile110.viewholder

import android.view.View
import com.common.adapter.BaseViewHolder
import com.common.annotation.LayoutId
import com.lvwan.mobile110.R
import com.lvwan.mobile110.entity.bean.GuideQueryBean
import kotlinx.android.synthetic.main.viewholder_guide_query_result.view.*


/**
 *
 * Created by wangdong on 16/12/4.
 */

@LayoutId(R.layout.viewholder_guide_query_result)
class GuideResultViewHolder(itemView: View) : BaseViewHolder<GuideQueryBean>(itemView) {


    override fun bindView(data: GuideQueryBean) {
        itemView.guide_result_service.text = data.serviceName
        itemView.guide_result_name.text = data.organization
    }

}