package com.lvwan.mobile110.viewholder

import android.view.View
import com.common.adapter.BaseViewHolder
import com.common.annotation.LayoutId
import com.lvwan.mobile110.R
import com.lvwan.mobile110.entity.bean.ImageCardBean
import com.lvwan.util.ImageUtils
import kotlinx.android.synthetic.main.viewholder_image_item.view.*


/**
 *
 * Created by wangdong on 16/8/2.
 */
@LayoutId(R.layout.viewholder_image_item)
class HomeImageViewHolder(itemView: View) : BaseViewHolder<ImageCardBean>(itemView) {


    override fun bindView(data: ImageCardBean) {
        ImageUtils.displayImage(data.image_url, itemView.card_image)
    }
}
