package com.lvwan.mobile110.viewholder

import android.view.View
import com.common.adapter.BaseViewHolder
import com.common.annotation.LayoutId
import com.lvwan.mobile110.R
import com.lvwan.mobile110.entity.bean.MOTCityBean.City
import kotlinx.android.synthetic.main.viewholder_city.view.*


/**
 *
 * Created by wangdong on 16/8/2.
 */
@LayoutId(R.layout.viewholder_city)
class MOTCityViewHolder(itemView: View) : BaseViewHolder<City>(itemView) {


    override fun bindView(data: City) {
        val city = data
        itemView.mot_city.text = city.city
        view.isSelected = city.selected
    }
}
