package com.lvwan.mobile110.viewmodel

import android.databinding.ObservableField
import android.databinding.ObservableInt
import com.common.viewmodel.FragmentViewModel
import com.lvwan.mobile110.entity.event.GuardChooseEvent
import com.lvwan.mobile110.fragment.GuardTripFragment

/**
 *
 * Created by wangdong on 17/3/2.
 */
class GuardTripViewModel(fragment: GuardTripFragment) : FragmentViewModel<GuardTripFragment>(fragment) {

    val origin = ObservableField<String>()

    val destination = ObservableField<String>()

    val visible = ObservableInt()

    fun setAddr(event: GuardChooseEvent) {
        val addr = event.addr.name
        if (event.from) {
            origin.set(addr)
        } else {
            destination.set(addr)
        }
    }

}