package com.lvwan.util

import android.app.Activity
import android.app.Fragment
import android.content.Context
import android.view.ViewGroup
import com.common.viewmodel.BaseViewModel
import org.jetbrains.anko.internals.AnkoInternals


/**
 *
 * Created by wangdong on 17/3/22.
 */



fun Int.dp2px(): Int {
    if (toInt() in intArrayOf(ViewGroup.LayoutParams.MATCH_PARENT, ViewGroup.LayoutParams.WRAP_CONTENT)) {
        return this
    }
    return ScreenUtils.dip2px(toInt().toFloat())
}

inline fun <reified T: Activity> Fragment.startActivityForResultFromFragment(requestCode: Int, vararg params: Pair<String, Any>) {
    this.startActivityForResult(AnkoInternals.createIntent(activity, T::class.java, params), requestCode)
}

inline fun <reified T: Activity> BaseViewModel.startActivity(vararg params: Pair<String, Any>) {
    AnkoInternals.internalStartActivity(context, T::class.java, params)
}





